/**
 * Copyright (c) 2018-2019 Aleksey Melnikov, True Directive Company.
 * @link https://truedirective.com/
 * @license MIT
*/
import { Renderer2, ElementRef } from '@angular/core';
import { CalendarComponent } from './calendar.component';
import { DropdownBaseComponent } from './dropdown-base.component';
import { MaskDateDirective } from '../mask/mask-date.directive';
import { InternationalizationService } from '../internationalization/internationalization.service';
/**
 * Datepicker component
 */
export declare class DatepickerComponent extends DropdownBaseComponent {
    protected intl: InternationalizationService;
    protected _elementRef: ElementRef;
    protected _renderer: Renderer2;
    _pattern: string;
    pattern: string;
    error: string;
    showError: boolean;
    inputClass: string;
    calendar: CalendarComponent;
    input: any;
    maskDateDirective: MaskDateDirective;
    checkPattern(): void;
    getIcon(): string;
    dateClick(e: any): void;
    escape(e: any): void;
    focusPopup(): void;
    acceptKey(e: any): void;
    constructor(intl: InternationalizationService, _elementRef: ElementRef, _renderer: Renderer2);
}
